// PCAN Explorer Macro File
// This file can be edited and run within PCAN Explorer version 3 (Currently running version 3.2.2.374).

//This macro program uses the Control Word through a PDO to enable the AKD drive.
//Uses default setting of RxPDO1 is the Control Word and TxPDO1 is the Status Word.

Send 601h  8  23h 01h 18h 01h 81h 02h 00h 80h // TPDO2 - set bit 31 to disable PDO
Wait 20
Send 601h  8  23h 02h 18h 01h 81h 03h 00h 80h // TPDO3 - set bit 31 to disable PDO
Wait 20
Send 601h  8  23h 03h 18h 01h 81h 04h 00h 80h // TPDO4 - set bit 31 to disable PDO
Wait 20

//TPDO transmit type
Send 601h  8  23h 00h 18h 02h FFh 00h 00h 00h // TPDO1 transmit on event
Wait 20

//RPDO transmit type
Send 601h  8  2Fh 00h 14h 02h FFh 00h 00h 00h // RPDO1 transmit on event
Wait 20

Send 000h  2  01h 01h // NMT: start PDO's
Wait 10

Here:

Send 201h  2  06h 00h // RPDO1 Control Word bits 1,2 ON (Disable)
Disabled:
Waitdata 1 181h 2 31h 10h
	if false
	goto Disabled
Send 201h  2  07h 00h // RPDO1 Control Word bits 0,1,2 ON (Enable)
Enabled:
Waitdata 1 181h 2 33h 10h
	if false
	goto Enabled
Send 201h  2  0Fh 00h // RPDO1 Control Word bits 0,1,2,3 ON (Operation Enable)
Openabled:
Waitdata 1 181h 2 37h 10h
	if false
	goto Openabled
Wait 100
Send 601h  8 40h 41h 60h 00h 00h 00h 00h 00h // status word
Wait 2000
GOTO Here

Stop:
