// PCAN Explorer Macro File
// This file can be edited and run within PCAN Explorer version 3 (Currently running version 3.2.2.374).

//This macro program sets the AKD drive for homing.
//Configure the AKD drive to run motion tasks in position mode. Save to eeprom. Then run this program.


// ready to switch on	
Send 601h  8  2bh 40h 60h 00h 06h 00h 00h 00h // Control Word: ready to switch on
Wait 20
Send 601h  8 40h 41h 60h 00h 00h 00h 00h 00h // status word
Wait 20

Send 601h  8  2bh 40h 60h 00h 07h 00h 00h 00h // Control Word: switched on
Wait 20
Send 601h  8 40h 41h 60h 00h 00h 00h 00h 00h // status word
Wait 20

Send 601h  8  2bh 40h 60h 00h 0Fh 00h 00h 00h // Control Word: operation enable
Wait 20
Send 601h  8 40h 41h 60h 00h 00h 00h 00h 00h // status word
Wait 20

//***** Home Mode *****
Send 601h  8  2fh 60h 60h 00h 06h 00h 00h 00h // switch to homing mode (DS402 Mode 06)
Wait 20
Send 601h 8 40h 61h 60h 00h 00h 00h 00h 00h // read opmode
Wait 20

Send 601h  8  2fh 98h 60h 00h 22h 00h 00h 00h // Home.Mode=7 (positive dir to marker)
Wait 20
//Send 601h  8  2fh 98h 60h 00h 23h 00h 00h 00h // homing mode: set homing type - NREF=0
//Wait 20
Send 601h 8 40h 98h 60h 00h 00h 00h 00h 00h // read home type
Wait 20

Send 601h  8  2bh 40h 60h 00h 1Fh 00h 00h 00h // Control Word: start homing (Bit 4)
Wait 20
Send 601h  8 40h 41h 60h 00h 00h 00h 00h 00h // status word
Wait 20
//Wait 10000
//Send 601h  8  2bh 40h 60h 00h 0Fh 00h 00h 00h // Control Word: stop homing (after finished)
//Wait 20

//Send 601h  8  2bh 40h 60h 00h 06h 00h 00h 00h // Control Word: ready to switch on (disable)
//Wait 20


